## org.eclipse.emf.databinding.edit.internal
Class EMFEditValueProperty

    java.lang.Object
      org.eclipse.core.databinding.property.value.ValueProperty
          org.eclipse.core.databinding.property.value.SimpleValueProperty
              org.eclipse.emf.databinding.internal.EMFValueProperty
                  org.eclipse.emf.databinding.edit.internal.EMFEditValueProperty

All Implemented Interfaces:
  IProperty, IValueProperty

    public class EMFEditValueProperty

extends EMFValueProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFEditValueProperty(EditingDomain editingDomain, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `doSetValue(java.lang.Object source, java.lang.Object value)`

Methods inherited from class org.eclipse.emf.databinding.internal.EMFValueProperty
`adaptListener, doGetValue, getFeature, getValueType, toString`

Methods inherited from class org.eclipse.core.databinding.property.value.SimpleValueProperty
`getValue, observe, observeDetail, observeDetail, observeDetail, setValue`

Methods inherited from class org.eclipse.core.databinding.property.value.ValueProperty
`list, map, observe, observeDetail, set, value, valueFactory, valueFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFEditValueProperty

    public EMFEditValueProperty(EditingDomain editingDomain,
                                EStructuralFeature eStructuralFeature)

Parameters:
  `editingDomain` -
  `eStructuralFeature` -

Method Detail

### doSetValue

    protected void doSetValue(java.lang.Object source,
                              java.lang.Object value)

  Overrides:
    `doSetValue` in class `EMFValueProperty`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.